﻿using FNZCM.BlazorWasm.Helpers;
using Microsoft.AspNetCore.Components;
using Microsoft.JSInterop;

namespace FNZCM.BlazorWasm.UI.Components.Bases
{
    public class FnzComponentBase : ComponentBase
    {
        [Inject] protected IJSRuntime JSRuntime { get; set; }
        [Inject] protected ApiClient ApiClient { get; set; }
        [Inject] protected FnzDataSetSingleto DataSet { get; set; }
        [Inject] protected LocalStorageHelper LocalStorage { get; set; }
        [Inject] protected PlaylistHelper PlaylistHelper { get; set; }

        [Parameter(CaptureUnmatchedValues = true)]
        public Dictionary<string, object> InputAttributes { get; set; }

        public ElementReference? Element { get; protected set; }
    }
}
